//po4a: entry man manual
////
Copyright 1992, 1993 Rickard E. Faith (faith@cs.unc.edu)
May be distributed under the GNU General Public License
////
= ctrlaltdel(8)
:doctype: manpage
:man manual: System Administration
:man source: util-linux {release-version}
:page-layout: base
:command: ctrlaltdel

== NAME

ctrlaltdel - set the function of the Ctrl-Alt-Del combination

== SYNOPSIS

*ctrlaltdel* *hard*|*soft*

== DESCRIPTION

Based on examination of the _linux/kernel/reboot.c_ code, it is clear that there are two supported functions that the <Ctrl-Alt-Del> sequence can perform.

*hard*::
Immediately reboot the computer without calling *sync*(2) and without any other preparation. This is the default.

*soft*::
Make the kernel send the *SIGINT* (interrupt) signal to the *init* process (this is always the process with PID 1). If this option is used, the *init*(8) program must support this feature. Since there are now several *init*(8) programs in the Linux community, please consult the documentation for the version that you are currently using.

When the command is run without any argument, it will display the current setting.

The function of *ctrlaltdel* is usually set in the _/etc/rc.local_ file.

== OPTIONS

include::man-common/help-version.adoc[]

== FILES

_/etc/rc.local_

== AUTHORS

mailto:poe@daimi.aau.dk[Peter Orbaek]

== SEE ALSO

*init*(8),
*systemd*(1)

include::man-common/bugreports.adoc[]

include::man-common/footer.adoc[]

ifdef::translation[]
include::man-common/translation.adoc[]
endif::[]
